CREATE procedure [C6Staging].[RP_ST_GradoParentela]
as
begin
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_GradoParentela',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_GradoParentela
	insert into c6staging.RP_GradoParentela
	--select * into c6staging.RP_GradoParentela from [CONSUNI].[ConsulenzaUnica].dbo.GradoParentela
	select * from [CONSUNI].[ConsulenzaUnica].dbo.GradoParentela
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_GradoParentela' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_GradoParentela'
		)
end